Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.grouping
Class AbstractAllGroupHeadsCollector.TemporalResult

    java.lang.Object
      org.apache.lucene.search.grouping.AbstractAllGroupHeadsCollector.TemporalResult

Enclosing class:
  AbstractAllGroupHeadsCollector<GH extends AbstractAllGroupHeadsCollector.GroupHead>

    protected class AbstractAllGroupHeadsCollector.TemporalResult

extends Object

Contains the result of group head retrieval. To prevent new object creations of this class for every collect.

Field Summary
`GH` | `groupHead`
`boolean` | `stop`

Constructor Summary
`protected` | `AbstractAllGroupHeadsCollector.TemporalResult()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groupHead

    public GH extends AbstractAllGroupHeadsCollector.GroupHead groupHead

### stop

    public boolean stop

Constructor Detail

### AbstractAllGroupHeadsCollector.TemporalResult

    protected AbstractAllGroupHeadsCollector.TemporalResult()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD